import React from "react";
import { connect } from "react-redux";
import SyncAllButton from "./SyncAllButton";
import SyncToMeButton from "./SyncToMeButton";
import { Grid } from "@material-ui/core";
import InstantReplayButton from "./InstantReplayButton";
import StartButton from "./StartButton";
import StopButton from "./StopButton";

class PlayerButtonBar extends React.Component<{}> {
  render() {
    return (
      <Grid container>
        <Grid item xs={6}>
          <Grid container spacing={1}>
            <Grid item>
              <StartButton />
            </Grid>
            <Grid item>
              <StopButton />
            </Grid>
          </Grid>
        </Grid>
        <Grid item xs={6}>
          <Grid container justify="flex-end" spacing={1}>
            <Grid item>
              <InstantReplayButton />
            </Grid>
            <Grid item>
              <SyncToMeButton />
            </Grid>
            <Grid item>
              <SyncAllButton />
            </Grid>
          </Grid>
        </Grid>
      </Grid>
    );
  }
}

export default connect(null, null)(PlayerButtonBar);
